Subject: bug#31615: 27.0; doc of `uncomment-region(-default)'

From: Drew Adams <[email-masked]>
Date: Sat, 2 Jun 2018 13:47:38 +0000 (UTC)

> Done.

Thx.

> > 2. The doc strings should be much more specific about the behavior, in
> > particular wrt ARG.  Apparently the functions do nothing at all if ARG
> > is larger than the first sequence of comment chars in the region.
> >
> > E.g. for a comment such as this one:
> >   ;; foo bar
> > (uncomment-region (line-beginning-position) (line-end-position) 3)
> > does nothing.  That's not obvious from the doc.
> 
> I'm not sure this was the intent of the code.  I'd expect it to remove
> the maximum number of comment delimiters it can, not just punt
> silently.

I too think that should be the behavior, but who knows what
the intention was.  If the behavior gets fixed to do that
then great.  In any case (fixed behavior, intended but not
yet fixed behavior, or current behavior), I think the
behavior should be documented.

> It means "comment delimiters"; fixed.

Thx.

> > 4. Enhancement request: Provide a way to remove ALL comment chars and
> > all whitespace between them, up to the first non-comment char.
> 
> Not done.

Right.  Shall we leave this bug open for that enhancement
request, or do you want a new report for just that?